<?php

namespace Planaday\Html\Tags\Utility;

use Planaday\Html\Tags\TagHandlerTemplate;
use Planaday\Html\Tags\Utility\ArrayDisplay\ArrayDisplay;
use Planaday\Html\Tags\Utility\CssConverter\CssConverter;
use Planaday\Html\Tags\Utility\InfoBlock\InfoBlock;
use Planaday\Html\Tags\Utility\StdNotice\StdNotice;
use Planaday\Utility\DependencyInjection\Container;

class UtilityTagHandler extends TagHandlerTemplate {
	public function __construct() {
		$this->tags = [
			CssConverter::TAG => function ( Container $registry ) {
				return new CssConverter( $registry );
			},
			InfoBlock::TAG => function ( Container $registry ) {
				return new InfoBlock( $registry );
			},
			StdNotice::TAG => function ( Container $registry ) {
				return new StdNotice( $registry );
			},
			ArrayDisplay::TAG => function ( Container $registry ) {
				return new ArrayDisplay( $registry );
			}
		];
	}
}